<?php

/* Includes */
require_once 'Horde/Form.php';
require_once 'Horde/Variables.php';
require_once 'Horde/Form/Renderer.php';

/**
 * Video Manage From
 *
 * $Horde: incubator/classified/lib/Forms/Manage.php,v 1.1 2007/08/27 16:00:14 duck Exp $
 *
 * Copyright 2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Video
 */
class Video_Manage extends Horde_Form {

    public function __construct(&$vars, $title = '', $name = null)
    {
        $this->_vars = &$vars;
        $this->_title = $title;
        $this->_name = $name;

        $id = $vars->get('id');
        $movie = $GLOBALS['video']->getVideo($id);
        $this->addHidden('', 'id', 'int', $id);
        $this->addVariable($movie['title'], 'title', 'description', false);
        $this->addVariable($movie['description'], 'description', 'description', false);
    }
}
