CREATE TABLE `video_categories` (
  `category_id` int(10) unsigned NOT NULL auto_increment,
  `category_name` varchar(50) NOT NULL,
  `category_description` varchar(255) default NULL,
  `category_parentid` int(10) unsigned NOT NULL,
  `category_image` int(1) unsigned NOT NULL,
  PRIMARY KEY  (`category_id`)
);

CREATE TABLE `video_videos` (
  `id` int(11) NOT NULL auto_increment,
  `user` varchar(32) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `tags` varchar(255) NOT NULL,
  `category` varchar(255) NOT NULL,
  `created` int(10) unsigned NOT NULL,
  `updated` int(10) unsigned NOT NULL,
  `filename` varchar(255) NOT NULL,
  `format` varchar(255) NOT NULL,
  `embed` int(1) unsigned NOT NULL,
  `size` int(11) unsigned NOT NULL default '0' COMMENT 'in bytes',
  `movie_len` float unsigned NOT NULL,
  `comments` smallint(5) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `view_count` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
