<?php
/**
 * $Horde: video/list.php,v 1.10 2007/02/21 10:25:28 jan Exp $
 *
 * Copyright 2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Duck <duck@obala.net>
 */

@define('VIDEO_BASE', dirname(__FILE__));
require_once VIDEO_BASE . '/lib/base.php';
require_once 'Horde/Form.php';
require_once 'Horde/Variables.php';
require_once 'Horde/UI/Pager.php';

$title = _("Search");

$vars = Variables::getDefaultVariables();
$form = new Horde_Form($vars, $title, 'search');
$form->addVariable(_("Keywords"), 'keywords', 'text', false);

$var = &$form->addVariable(_("Search in titles?"), 'title', 'boolean', false);
$var->setDefault(true);

$form->addVariable(_("Search in tags?"), 'tags', 'boolean', false);

$form->addVariable(_("Author"), 'author', 'text', false);

require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';

$form->renderActive(null, null, null, 'post');

require $registry->get('templates', 'horde') . '/common-footer.inc';
