<?php
/**
 * $Horde: video/list.php,v 1.10 2007/02/21 10:25:28 jan Exp $
 *
 * Copyright 2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Duck <duck@obala.net>
 */

@define('VIDEO_BASE', dirname(__FILE__));
require_once VIDEO_BASE . '/lib/base.php';
require_once VIDEO_BASE . '/lib/View.php';

$id = Util::getFormData('id');
$dir = $video->getWebDIR($id);
$flv = $dir . '/' . $id . '.flv';
$movie = $video->getVideo($id);
$movie_url = Horde::applicationUrl('video.php', 'id', $id);
if ($movie instanceof PEAR_Error) {
    $notification->push($movie->getMessage(), 'horde.error');
    header('Location: ' . Horde::applicationUrl('/list.php'));
    exit;
}

require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';
require VIDEO_TEMPLATES . '/video/video.php';
require $registry->get('templates', 'horde') . '/common-footer.inc';
