<?php
/**
 * $Horde: incubator/video/admin/tabs.php,v 1.4 2007/08/30 09:08:47 duck Exp $
 *
 * Copyright 2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Duck <duck@obala.net>
 */

/* Only admin should be using this. */
if (!Auth::isAdmin('video:admin')) {
    $notification->push(_("You are not authorised for this action."), 'horde.warning');
    Horde::authenticationFailureRedirect();
}

require_once 'Horde/Variables.php';
require_once 'Horde/UI/Tabs.php';
require_once 'Horde/Form.php';

$vars = Variables::getDefaultVariables();
$tabs = new Horde_UI_Tabs('admin', $vars);

$tabs->addTab(_("Processing"), Horde::applicationUrl('admin/processing.php'), 'processing');
$tabs->addTab(_("Approve"), Horde::applicationUrl('admin/approve.php'), 'approve');
$tabs->addTab(_("Categories"), Horde::applicationUrl('admin/categories/index.php'), 'categories');
