<?php
/**
 * $Horde: video/list.php,v 1.10 2007/02/21 10:25:28 jan Exp $
 *
 * Copyright 2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Duck <duck@obala.net>
 */

@define('VIDEO_BASE', dirname(__FILE__));
require_once VIDEO_BASE . '/lib/base.php';

$title = _("List");

$videos = $video->listVideos();
if ($videos instanceof PEAR_Error) {
    $notification->push($videos->getMessage(), 'horde.error');
    $videos = array();
}

$view = new Video_View();
$view->videos = $videos;
$view->categories = $video_cat->getCategories();
$view->video_url = Horde::applicationUrl('video.php');

Horde::addScriptFile('tables.js', 'horde', true);
require VIDEO_TEMPLATES . '/common-header.inc';
require VIDEO_TEMPLATES . '/menu.inc';
echo $view->render('/list/list.php');
require $registry->get('templates', 'horde') . '/common-footer.inc';
