<?php if (!empty($this->videos)): ?>
<?php echo $this->pager ?>
<table style="width: 100%;" id="ads_list" class="sortable striped">
<thead>
<tr style="text-align: left;">
<th><?php echo _("Screenshot") ?></th>
<th><?php echo _("Status") ?></th>
</tr>
</thead>
<?php
foreach ($this->videos as $id => $movie) {
?>
<tr>
<td>
<?php
if ($movie['status'] != Video::PROCESSING) {
    echo $this->getViewLink($id);
} else {
    echo '<img src="' . $this->getThumbnail($id, $movie['status']) . '" style="width: 160px; hight: 120px" />';
}
?>
<td>
<?php

echo _("Title") . ': <strong>' . $movie['title'] . '</strong><br /><br />';

echo _("Actions") . ':';
foreach ($movie['actions'] as $action) {
    echo $action . ' ';
}

echo '<br /><br />' . _("Status") . ': ';
switch ($movie['status']) {
case Video::PROCESSING:
    echo _("Processing video, please wait");
    break;

case Video::WAITING:
    echo _("Wainting for approval");
    break;

case Video::APPROVED:
    echo _("Aproved");
    break;

default:
    echo _("Error");
    break;
}

echo '<br />' . _("Created") . ': ' . $this->format_date($movie['created']) . '<br />';
echo _("Updated") . ': ' . $this->format_date($movie['updated']) . '<br />';
echo _("Category") . ': ' . $this->categories[$movie['category']]  . '<br />';
echo _("File name") . ': ' . $movie['filename']  . '<br />';
echo _("Lenght") . ': ' . $this->format_len($movie['movie_len'])  . '<br />';
echo _("Comments") . ': ' . $movie['comments']  . '<br />';
echo _("Description") . ': ' . $movie['description']  . '<br />';
echo _("Embed") . ': ' . ($movie['embed'] ? _("Yes") : _("No"))  . '<br />';

?>
</td>
</tr>
<?php } ?>

</table>

<?php echo $this->pager ?>

<?php else: ?>
    <p><?php echo _("There are no videos to display.") ?></p>
<?php endif; ?>
